← Tablas

Scotland

East Region League Division 3

#EquipoPWDLPDBPPtsForma
1Royal High RFC4400+279420WWWW
2Duns RFC4400+97319WWWW
3Edinburgh University Medics5302+33214LWLWW
4Trinity Academicals RFC4202+11311LWLW
5Lismore RFC4103-9123WLLL
6Caledonian Thebans RFC5005-20430LLLLL
7Penicuik RFC3003-13120LLL
8Inverleith RFC3201+620LWW

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.